package com.ss.android.ugc.aweme.profile.api;

import X.JLr;
import X.JMA;
import X.PUw;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.profile.model.ActivityLinkResponse;
import java.util.HashMap;
import java.util.Map;

public final class ActivityLinkManager {
    public static Map<String, ActivityLinkResponse> LIZ = new HashMap();

    public interface ActivityLinkApi {
        static {
            Covode.recordClassIndex(98300);
        }

        @JMA(LIZ = "/aweme/v1/activity/profile_link/")
        JLr<ActivityLinkResponse> getLinkInfo();

        @JMA(LIZ = "/aweme/v1/activity/profile_link/")
        JLr<ActivityLinkResponse> getLinkInfo(@PUw(LIZ = "sec_uid") String str, @PUw(LIZ = "show_other_banner") boolean z);
    }

    static {
        Covode.recordClassIndex(98299);
    }
}
